def modifyNavigationItemOwnership(event):
    """ Synchronize the local owner role list of this navigation item
        with the ownership list of the content to which it links
    """
    context = event.context
    
    # get the content item to which this item is related.  If none, return gracefully
    related = context.getContentpointer()
    if not related:
        return
    # TODO: this function is _very_ literal, and is only returning users/groups with the 
    # explicit 'local role' and not those with 'Owner' inherited.  This needs to be fixed.
    owners = related.users_with_local_role('Owner')
    
    for o in owners:
        roles = list(context.get_local_roles_for_userid(o))
        if 'Owner' not in roles:
            roles.append('Owner')
            context.manage_setLocalRoles(o, roles)
        
        